List All Plugin Configs
GET /apisix/admin/plugin_configs
GET /apisix/admin/plugin_configsInteractive request editor loads with JavaScript.
X-API-KEY<token>
Admin API key configured in config.yaml under deployment.admin.admin_key. You can also pass the key as a query parameter api_key or cookie x_api_key.
In: header
Query Parameters
name?string
Filter list by name (regex match).
label?string
Filter list to resources with the given label key.
page?integer
Page number (1-based).
Range
1 <= valueDefault
1page_size?integer
Items per page (10–500). When omitted, no pagination is applied and the full list is returned.
Range
10 <= value <= 500Response Body
application/json
application/json
curl -X GET "http://127.0.0.1:9180/apisix/admin/plugin_configs?label=env&page=1&page_size=20"Successful response.
{
"list": [
{
"value": {
"plugins": {
"limit-count": {
"rejected_code": 503,
"time_window": 60,
"key": "remote_addr",
"key_type": "var",
"count": 2,
"allow_degradation": false,
"show_limit_quota_header": true,
"policy": "local"
}
},
"desc": "desc",
"id": "1",
"create_time": 1684380007,
"update_time": 1684380034
},
"key": "/apisix/plugin_configs/1",
"modifiedIndex": 151,
"createdIndex": 150
}
],
"total": 1
}**Unauthorized** — The API key is missing, invalid, or lacks permission.
{
"error_msg": "failed to check token",
"description": "missing apikey"
}{
"error_msg": "failed to check token",
"description": "wrong apikey"
}{
"error_msg": "failed to check token",
"description": "invalid method for role viewer"
}Complete operation details and schema variants
GET /apisix/admin/plugin_configs
List All Plugin Configs
Retrieve all configured plugin configs.
Parameters
name(query, string, optional): Filter list byname(regex match).label(query, string, optional): Filter list to resources with the given label key.page(query, integer, optional): Page number (1-based).page_size(query, integer, optional): Items per page (10–500). When omitted, no pagination is applied and the full list is returned.
Responses
200: Successful response.total(integer, required):list(array, required):list[].key(string, required):list[].value(object, required): Plugin Config — a reusable set of plugin configurations that can be referenced by multiple routes.list[].value.id(object, optional): Unique identifier for the resource. Can be a string (1–64 characters, alphanumeric with-,_,.) or a positive integer.- anyOf variant 1: String ID
- anyOf variant 2: Integer ID
list[].value.name(string, optional): Human-readable name.list[].value.desc(string, optional): Description.list[].value.labels(object, optional): Key-value pairs for categorizing and filtering resources. Values must be non-empty strings (max 256 characters).list[].value.create_time(integer, optional): Unix timestamp of creation. Read-only.list[].value.update_time(integer, optional): Unix timestamp of last update. Read-only.list[].value.plugins(object, required): Plugin configurations as a JSON object. Each key is a plugin name, and the value is that plugin's configuration object.
Example:
{
"limit-count": {
"count": 100,
"time_window": 60
},
"key-auth": {}
}
See the Plugin Hub for available plugins and their schemas.
list[].createdIndex(integer, optional):list[].modifiedIndex(integer, optional):401: Unauthorized — The API key is missing, invalid, or lacks permission.error_msg(string, required): Authentication error message.description(string, optional): Detailed reason for the authentication failure.
cURL
curl -X GET 'http://127.0.0.1:9180/apisix/admin/plugin_configs'